Rated 5 out of 5 stars

I seem to work just fine Firefox16 in (16.0.1). However, in JavaScript Protection login does not work in AURORA(18.0a2) and NIGHTLY(19.0a1) and BATA(17.0b1). Future, are there any plans for an upgraded version of JavaScript Protection login to work?

This review is for a previous version of the add-on (0.9.9.1-signed).  This user has a previous review of this add-on.